Page MenuHomePhabricator

efl_ui : add efl.extra part as layout swallow part list.
ClosedPublic

Authored by SanghyeonLee on Jul 15 2019, 5:45 AM.

Details

Summary

efl.extra part is extra part of the layout swallow,
which can be generally used on overall layout object.
To be supported layout part infrastructures,
add efl.extra on layout_swallow_part[] list.

Depends on D9233

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
SanghyeonLee created this revision.Jul 15 2019, 5:45 AM
SanghyeonLee requested review of this revision.Jul 15 2019, 5:45 AM

I am not sure if this is something we want ? @zmike do we want to have this ? I cannot find a user of this ... (beside items)

SanghyeonLee added a comment.EditedAug 13 2019, 7:09 PM

@bu5hm4n
Hi. sorry for late answer.

This was discussed in D8582
that elm.swallow.end is not eidetic name, so replace the name to extra.
I won't delete the efl.end on the list yet for safety,
but I think the best option is replace all efl.end to efl.extra.

if you agree I will update the patch and replace all efl.end usage.( seems only text.edc are using this name...)

and as far as I remember,
there are some issue that cannot using efl_part on content_set property if the part is not in the layout_swallow_parts list..... I think for the extension of efl_part usage, also need to fix this issue.

I missed this somehow.

Will wait for doc cop to be back for further discussion.

Quite some time has passed now, the situation is a little bit different now, the only cases where efl.end is still used is in efl.ui.texts theme, so i think we could resolve this single case and just drop efl.end in favor of efl.extra ?

I'm not sure how to contribute here. I think it was me that suggested extra instead of end when discussing default items for lists, but I have no idea what the _efl_ui_layout_swallow_parts array does.

What other widgets still have a part named end?

only in the text.edc... but I think it is just copy of legacy code.

bu5hm4n accepted this revision.Aug 28 2019, 9:07 AM
This revision is now accepted and ready to land.Aug 28 2019, 9:07 AM
This revision was automatically updated to reflect the committed changes.